This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 846090 - (CVE-2012-3457) CVE-2012-3457 pnp4nagios 0.6.x: process_perfdata.cfg world readable
CVE-2012-3457 pnp4nagios 0.6.x: process_perfdata.cfg world readable
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120805,reported=2...
: Security
Depends On: 846091 846093
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-06 15:32 EDT by Kurt Seifried
Modified: 2015-08-22 02:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 02:27:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2012-08-06 15:32:54 EDT
Christoph Anton Mitterer <calestyo@scientia.net> reports:

Package: pnp4nagios-bin
Version: 0.6.16-1
Severity: important
Tags: security


Hi.

Marking as severity important as it might have security implications.

process_perfdata.cfg shouldn't be world-readable.
Event though not used per default in Debian, it contains the "KEY"
option which may be used (in alternative to "KEY_FILE") to hold
the Gearman shared secret.

Cheers,
Chris.

References:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=683879

Please note that this affects 0.6 only, 0.4 doesn't support KEYS.

# A shared password which will be used for
# encryption of data pakets. Should be at least 8
# bytes long. Maximum length is 32 characters.
#
KEY = should_be_changed
Comment 1 Kurt Seifried 2012-08-06 15:35:56 EDT
Created pnp4nagios tracking bugs for this issue

Affects: fedora-17 [bug 846091]
Comment 2 Kurt Seifried 2012-08-06 15:36:28 EDT
Created pnp4nagios tracking bugs for this issue

Affects: epel-6 [bug 846093]

Note You need to log in before you can comment on or make changes to this bug.